Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class Font3D

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.NodeComponent
              javax.media.j3d.Font3D

    public class Font3D

extends NodeComponent

The Font3D object is used to store extruded 2D glyphs. These 3D glyphs can then be used to construct Text3D NodeComponent objects.

A 3D Font consists of a Java 2D font, a tesellation tolerance, and an extrusion path. The extrusion path creates depth by describing how the edge of a glyph varies in the Z axis.

The construction of a Text3D object requires a Font3D object. The Font3D object describes the style of the text, such as its depth. The text also needs other classes, such as java.awt.Font and FontExtrusion. The Font object describes the font name (Helvetica, Courier, etc.), the font style (bold, Italic, etc.), and point size. The FontExtrusion object extends Font3D by describing the extrusion path for the Font3D object (how the edge of the font glyph varies in the Z axis).

To ensure correct rendering, the 2D Font object should be created with the default AffineTransform. The point size of the 2D font will be used as a rough measure of how fine a tesselation to use when creating the Font3D object: the larger the point size, in general, the finer the tesselation.

Custom 3D fonts as well as methods to store 3D fonts to disk will be addressed in a future release.

See Also:
  `Font`, `FontExtrusion`, `Text3D`

Constructor Summary
`Font3D(java.awt.Font font, double tessellationTolerance, FontExtrusion extrudePath)` Constructs a Font3D object from the specified Font and FontExtrusion objects, using the specified tessellation tolerance.
`Font3D(java.awt.Font font, FontExtrusion extrudePath)` Constructs a Font3D object from the specified Font and FontExtrusion objects, using the default value for the tessellation tolerance.

Method Summary
`void` | `getBoundingBox(int glyphCode, BoundingBox bounds)` Returns the 3D bounding box of the specified glyph code.
`java.awt.Font` | `getFont()` Returns the Java 2D Font used to create this Font3D object.
`void` | `getFontExtrusion(FontExtrusion extrudePath)` Copies the FontExtrusion object used to create this Font3D object into the specified parameter.
`double` | `getTessellationTolerance()` Returns the tessellation tolerance with which this Font3D was created.

Methods inherited from class javax.media.j3d.NodeComponent
`cloneNodeComponent, cloneNodeComponent, duplicateNodeComponent, duplicateNodeComponent, getDuplicateOnCloneTree, setDuplicateOnCloneTree`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setUserData, updateNodeReferences`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Font3D

    public Font3D(java.awt.Font font,
                  FontExtrusion extrudePath)

  Constructs a Font3D object from the specified Font and FontExtrusion objects, using the default value for the tessellation tolerance. The default value is as follows:
  tessellation tolerance : 0.01

  The FontExtrusion object contains the extrusion path to use on the 2D Font glyphs. To ensure correct rendering the font must be created with the default AffineTransform. Passing null for the FontExtrusion parameter results in no extrusion being done.

  Parameters:
    `font` - the Java 2D font used to create the 3D font object
    `extrudePath` - the extrusion path used to describe how the edge of the font varies along the Z axis

### Font3D

    public Font3D(java.awt.Font font,
                  double tessellationTolerance,
                  FontExtrusion extrudePath)

  Constructs a Font3D object from the specified Font and FontExtrusion objects, using the specified tessellation tolerance. The FontExtrusion object contains the extrusion path to use on the 2D Font glyphs. To ensure correct rendering, the font must be created with the default AffineTransform. Passing null for the FontExtrusion parameter results in no extrusion being done.

  Parameters:
    `font` - the Java 2D font used to create the 3D font object.
    `tessellationTolerance` - the tessellation tolerance value used in tessellating the glyphs of the 2D Font. This corresponds to the `flatness` parameter in the `java.awt.Shape.getPathIterator` method.
    `extrudePath` - the extrusion path used to describe how the edge of the font varies along the Z axis.
  Since:
    Java 3D 1.2

Method Detail

### getFont

    public java.awt.Font getFont()

  Returns the Java 2D Font used to create this Font3D object.

  Returns:
    Font object used by this Font3D

### getTessellationTolerance

    public double getTessellationTolerance()

  Returns the tessellation tolerance with which this Font3D was created.

  Returns:
    the tessellation tolerance used by this Font3D
  Since:
    Java 3D 1.2

### getFontExtrusion

    public void getFontExtrusion(FontExtrusion extrudePath)

  Copies the FontExtrusion object used to create this Font3D object into the specified parameter.

  Parameters:
    `extrudePath` - object that will receive the FontExtrusion information for this Font3D object

### getBoundingBox

    public void getBoundingBox(int glyphCode,
                               BoundingBox bounds)

  Returns the 3D bounding box of the specified glyph code.

  Parameters:
    `glyphCode` - the glyphCode from the original 2D Font
    `bounds` - the 3D glyph's bounds

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD